#include "STC15Wxx.h"
#include "intrins.h"

#define uint unsigned int
#define uchar unsigned char

sbit TM1640_SCLK = P2^0;
sbit TM1640_DIN = P2^1;


void TM1640Init(uchar brightness, uchar initChar);
void TM1640SetBrightness(uchar brightness);
void TM1640SetNumber(uchar index, uchar number, uchar point);
void TM1640SetChar(uchar index, char c);
void TM1640SetRawDigit(uchar index, uchar digit);
void TM1640SetRawDigits(uchar startIndex, uchar length, uchar *digits);